function y=lune1;


% ***********************************************************************************
%  Excution de ce programme qui contient les donnes initiales de la mission

% Le programme lune0 doit tre dans le mme rpertoire de travail que lune1

% Cette routine retourne 
%    y(1)=teta0 la premire position angulaire d'une capsule
%       en voyage vers la lune, avec injection au prige (vp,rp) dfinie dans
%       lune0.m
%    y(2)=psi_moyen  la position angulaire de la lune, au moment du tir
%       tangentielle, mesure depuis l'unitaire P du prige;
%       Cette valeur doit tre  peu prs au centre de la plage des positions 
%       psi acceptables, entre psi_max et psi_min
%    Angles en radians

% ***********************************************************************************

  data;                % PROGRAMME de donnes gnrales
  load vp;             % RECHERCHE EN MEMOIRE DE vp
  z=orbitc1(vp);       % PROGRAMME de caractristisques orbite C1

%  Angle polaire capsule

  teta0=fzero('lune0',3);  % Recherche d'un zro proche de 3


  e=z(2);a=z(1);T=z(4);

  gamma=asin(e*sin(teta0)./(1+e*e+2*e*cos(teta0)).^0.5);  % Pente capsule au tangentiel

  psi0=teta0-asin(66000/384000*sin(gamma)); % Position de la lune au contact tangentiel

 % ---- Calcul du temps prige-contact ------

  fi0=acos((e+cos(teta0))./(1+e.*cos(teta0)));  % Anomalie au point de contact tangentiel
  temps0=T/2/pi*(fi0-e*sin(fi0)); % temps depuis le prige jusqu'au contact

  psi_moyen=psi0-wl*temps0;
  
  y(1)=teta0;
  y(2)=psi_moyen;


end