%
%  PROGRAMME DE CALCUL DE LA CORRECTION DE VITESSE A EXECUTER EN UN POINT DE COORDONNEES
%  ET DE VITESSE DONNEES DANS LE PROGRAMME sortie.m, POUR RENTRER SOUS UN ANGLE DE RENTREE 
%  FIXE DANS data.m                       
%                       LES CONSTANTES HABITUELLES SONT DANS data


% Excution du programme data.m pour les donnes gnrales numriques 
% et de 
% sortie.m qui fournit les composantes de la position et de la vitesse, calcule par ailleurs.

data;
sortie;

equat=[];E=[];Zp=[];DV=[];VRent=[];

E0=abs(sin(angle_rent))+0.0000001;E1=0.9999999999;

for k=0:999;

   e=E0+(E1-E0)/999*k;

   % Rsolution de l'quation du second degr X+2sin(angle_rent)X+sin(angle_rent)-ecosgamma=0

   X=-(sin(angle_rent))^2+cos(angle_rent)*sqrt(e.^2-(sin(angle_rent))^2);

   % Calcul de cos(phiE) en fonction de e;

   cphie=((e.^2+X)/(1+X))./e;

   % Calcul de a en fonction de e

   a=Re*((1+X)./(1-e.^2));

   % Calcul de cos(phi0) au dpart en fonction de e;

   cphi0=(1-norm(r0)./a)./e;
  
  % Discussion des valeurs de phi0 suivant la position sur l'orbite de retour
   if (~(abs(cphie)>1)&(~(abs(cphi0)>1))),
      if ((r0*v0')<0)|((r0*v0')==0),
          phi0=2*pi-acos(cphi0);          

      else
          phi0=acos(cphi0);
      end

    phie=2*pi-acos(cphie);
    zp=a*(1-e)-6378;
    k=(a^1.5/mut^0.5);

    y=k*(phie-phi0-e.*(sin(phie)-sin(phi0)));

    equat=[equat, y/86400];E=[E,e];Zp=[Zp,zp];
    
    %  CALCUL DV
    VR=sqrt(-mut/a+2*mut/Re);
    VRent=[VRent,VR];
    V=sqrt(-mut/a+2*mut/norm(r0));
    % Pente au dpart
    gam=-acos(VR*cos(angle_rent)*Re/V/norm(r0));
    %  Diffrence des pentes
    gaminit=-(pi/2-acos(-r0*v0'/norm(r0)/norm(v0)));
    dgam=gaminit-gam;
    % DV
    dV=sqrt(V^2+norm(v0)^2-2.*V*norm(v0)*cos(dgam));
    DV=[DV,dV*1000];
   end;

  end
  subplot(2,2,1)
  plot(E,equat);xlabel('Excentricit');ylabel('Temps de vol (jours)');grid
  figure(gcf);

  subplot(2,2,2)  
  plot(E,Zp);xlabel('Excentricit');ylabel('Prige virtuel');grid
  figure(gcf);

  subplot(2,2,3)  
  plot(E,DV);xlabel('Excentricit');ylabel('DV en m/s');grid
  figure(gcf);

  subplot(2,2,4)  
  plot(E,VRent);xlabel('Excentricit');ylabel('Vitesse rentre');grid
  figure(gcf);
 
end;